> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Dispute

> Get a dispute by ID.




## OpenAPI

````yaml openapi-v1.json get /disputes/{dispute_id}
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /disputes/{dispute_id}:
    get:
      tags:
        - Disputes
      summary: Get a Dispute
      description: |
        Get a dispute by ID.
      operationId: getDispute
      parameters:
        - $ref: '#/components/parameters/dispute_id'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispute_response'
          description: Returned dispute
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '404':
          $ref: '#/components/responses/not_found'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    dispute_id:
      in: path
      name: dispute_id
      required: true
      schema:
        $ref: '#/components/schemas/dispute_id'
  schemas:
    dispute_response:
      discriminator:
        mapping:
          ACH:
            $ref: '#/components/schemas/ach_dispute_response'
          CARD:
            $ref: '#/components/schemas/card_dispute_response'
          EXTERNAL_CARD:
            $ref: '#/components/schemas/external_card_dispute_response'
        propertyName: payment_rail
      oneOf:
        - $ref: '#/components/schemas/card_dispute_response'
        - $ref: '#/components/schemas/ach_dispute_response'
        - $ref: '#/components/schemas/external_card_dispute_response'
      type: object
    dispute_id:
      description: The unique identifier of the dispute
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    ach_dispute_response:
      allOf:
        - properties:
            action_history:
              description: History of all the action filed for the dispute.
              items:
                $ref: '#/components/schemas/ach_dispute_action_response'
              type: array
            available_actions:
              description: List of actions that can be taken on the dispute.
              items:
                $ref: '#/components/schemas/available_ach_action'
              type: array
            credit_status:
              $ref: '#/components/schemas/dispute_credit_status'
            lifecycle_state:
              $ref: '#/components/schemas/ach_lifecycle_state'
          required:
            - action_history
            - available_actions
            - credit_status
            - lifecycle_state
          type: object
        - $ref: '#/components/schemas/dispute_response_details'
      description: Response for an ACH dispute.
      title: ACH Dispute
    card_dispute_response:
      allOf:
        - properties:
            acquirer_reference_number:
              description: >-
                The acquirer reference number of the original transaction
                associated with the dispute.
              type: string
            action_history:
              description: History of all the action filed for the dispute.
              items:
                $ref: '#/components/schemas/card_dispute_action_response'
              type: array
            available_actions:
              description: List of actions that can be taken on the dispute.
              items:
                $ref: '#/components/schemas/available_card_action'
              type: array
            credit_status:
              $ref: '#/components/schemas/dispute_credit_status'
            lifecycle_state:
              $ref: '#/components/schemas/card_lifecycle_state'
            managed_by:
              $ref: '#/components/schemas/card_dispute_managed_by'
            merchant_contact:
              $ref: '#/components/schemas/card_dispute_merchant_contact'
            network_eligibility:
              $ref: '#/components/schemas/card_network_eligibility'
            reason_code:
              $ref: '#/components/schemas/card_dispute_reason_codes'
            switch_serial_number:
              description: >-
                The switch serial number of the original transaction associated
                with the dispute.
              type: string
          required:
            - action_history
            - available_actions
            - credit_status
            - lifecycle_state
            - managed_by
            - network_eligibility
            - reason_code
          type: object
        - $ref: '#/components/schemas/dispute_response_details'
      description: Response for a card dispute.
      title: Card Dispute
    external_card_dispute_response:
      allOf:
        - properties:
            action_history:
              description: History of all actions taken on the dispute
              items:
                $ref: '#/components/schemas/external_card_dispute_action_response'
              type: array
            available_actions:
              description: List of actions that can be taken on the dispute
              items:
                $ref: '#/components/schemas/available_external_card_action'
              type: array
            debit_status:
              $ref: '#/components/schemas/dispute_debit_status'
            lifecycle_state:
              $ref: '#/components/schemas/external_card_lifecycle_state'
            managed_by:
              $ref: '#/components/schemas/card_dispute_managed_by'
            network_eligibility:
              $ref: '#/components/schemas/external_card_network_eligibility'
            reason_code:
              $ref: '#/components/schemas/external_card_dispute_reason_code'
          required:
            - action_history
            - available_actions
            - debit_status
            - lifecycle_state
            - managed_by
            - network_eligibility
            - reason_code
          type: object
        - $ref: '#/components/schemas/dispute_response_details'
      description: Response for an external card dispute.
      title: External Card
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    ach_dispute_action_response:
      description: Response for an ACH dispute action.
      properties:
        action:
          $ref: '#/components/schemas/ach_action'
        creation_time:
          description: The date and time the resource was created.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        id:
          description: The unique identifier of the dispute action
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        message:
          description: Message text related to card dispute action
          maxLength: 100
          type: string
        payment_rail:
          $ref: '#/components/schemas/payment_rail'
        reason_code:
          $ref: '#/components/schemas/ach_dispute_reason_codes'
        return_code:
          $ref: '#/components/schemas/ach_dispute_return_codes'
        status:
          $ref: '#/components/schemas/ach_dispute_action_status'
        supporting_doc_id:
          description: The unique identifier of the supporting document
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        tenant:
          $ref: '#/components/schemas/tenant_id'
      required:
        - action
        - creation_time
        - id
        - payment_rail
        - status
        - tenant
      title: ACH Action
      type: object
    available_ach_action:
      properties:
        action:
          $ref: '#/components/schemas/ach_action'
        state:
          $ref: '#/components/schemas/ach_action_state'
        timestamp_valid_to:
          description: |
            The time by which the action must be taken against the dispute.
            * Only applicable for time constrained actions.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
      required:
        - action
        - state
      type: object
    dispute_credit_status:
      description: >
        The status of customer account credit related to the dispute


        | Status      |
        Description                                                                                           
        |

        |-------------|--------------------------------------------------------------------------------------------------------|

        | NONE        | The customer account has not been credited or a
        provisional credit has been reversed and not replaced. |

        | PROVISIONAL | A provisional credit has been posted to the customer
        account.                                          |

        | FINAL       | A final credit has been posted to the customer
        account.                                                |
      enum:
        - FINAL
        - NONE
        - PROVISIONAL
      type: string
    ach_lifecycle_state:
      description: Current lifecycle state of the dispute.
      enum:
        - ACH_AWAITING_APPROVAL
        - ACH_FILED_WITH_NETWORK
        - ACH_MORE_INFO_REQUIRED
        - ACH_REJECTED
        - DENIED
        - PENDING_ACTION
      type: string
    dispute_response_details:
      properties:
        account_id:
          description: >-
            The customer account related to the dispute, to which
            dispute-related credits will be posted.
          example: ca4450a5-5d4c-4afc-9533-729e2948c477
          format: uuid
          type: string
        applicable_regulation:
          $ref: '#/components/schemas/dispute_regulation'
        creation_time:
          description: The timestamp representing when the dispute was created
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        currency:
          description: ISO 4217 Alpha-3 currency code
          example: USD
          maxLength: 3
          minLength: 3
          type: string
        customer_id:
          description: >-
            The customer related to the dispute, to which dispute-related
            credits will be posted.
          example: 52593ea7-4d66-40df-80e9-3b9bc54fa880
          format: uuid
          type: string
        date_customer_reported:
          description: The timestamp representing when the customer reported the dispute.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        decision:
          $ref: '#/components/schemas/dispute_decision'
        dispute_documents:
          description: Documents associated with the dispute.
          items:
            $ref: '#/components/schemas/dispute_document_response'
          type: array
        disputed_amount:
          description: The amount to be disputed in cents.
          minimum: 1
          type: integer
        external_reference_id:
          description: Reference ID associated with the dispute on the external network.
          type: string
        id:
          description: The unique identifier of the dispute
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        last_action_by:
          $ref: '#/components/schemas/dispute_action_by'
        last_updated_time:
          description: The timestamp representing when the dispute was last modified
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        memo:
          description: >-
            Brief written message describing the reason for disputing the
            transaction.
          maxLength: 1000
          type: string
        network:
          $ref: '#/components/schemas/dispute_network'
        payment_rail:
          $ref: '#/components/schemas/payment_rail'
        status:
          $ref: '#/components/schemas/dispute_status'
        tenant:
          $ref: '#/components/schemas/tenant_id'
        timestamp_final_decision:
          description: The time that a final decision was made on the dispute.
          format: date-time
          type: string
        timestamp_investigation_due:
          format: date-time
          type: string
        timestamp_provisional_credit_due:
          description: >-
            The time by which provisional credit should be posted to the
            customer account in response to the dispute.
          format: date-time
          type: string
        transaction_id:
          description: The ID of the posted transaction to be disputed.
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
      required:
        - account_id
        - creation_time
        - currency
        - customer_id
        - date_customer_reported
        - decision
        - dispute_documents
        - disputed_amount
        - id
        - last_updated_time
        - memo
        - network
        - payment_rail
        - status
        - tenant
        - transaction_id
      type: object
    card_dispute_action_response:
      description: Response for a card dispute action.
      properties:
        action:
          $ref: '#/components/schemas/card_action'
        amount:
          description: The amount of the action in cents.
          format: int64
          minimum: 0
          type: integer
        creation_time:
          description: The timestamp representing when the object was created
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        external_reference_id:
          description: Reference ID associated with the action on the external network.
          type: string
        id:
          description: The unique identifier of the dispute action
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        memo:
          description: |
            Memo text related to card dispute action
          maxLength: 1000
          type: string
        message:
          description: Message text related to card dispute action
          maxLength: 100
          type: string
        payment_rail:
          $ref: '#/components/schemas/payment_rail'
        reason_code:
          $ref: '#/components/schemas/card_dispute_reason_codes'
        representment_reason_code:
          $ref: '#/components/schemas/card_dispute_representment_reason_code'
        status:
          $ref: '#/components/schemas/card_dispute_action_status'
        supporting_doc_id:
          description: The unique identifier of the supporting document
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        tenant:
          $ref: '#/components/schemas/tenant_id'
        updated_reason_code_memo:
          description: |
            Memo text describing the reason for updating a reason code.
          maxLength: 1000
          type: string
      required:
        - action
        - creation_time
        - id
        - payment_rail
        - status
        - tenant
      title: Card Action
      type: object
    available_card_action:
      properties:
        action:
          $ref: '#/components/schemas/card_action'
        state:
          $ref: '#/components/schemas/card_action_state'
        timestamp_valid_to:
          description: |
            The time by which the action must be taken against the dispute.
            * Only applicable for time constrained actions.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
      required:
        - action
        - state
      type: object
    card_lifecycle_state:
      description: >
        Lifecycle                            | Description

        -------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

        PENDING_ACTION                       | The dispute has been created and
        is pending subsequent action.

        EVIDENCE_GATHERING                   | Evidence is being collected
        before submitting the dispute for evaluation.

        EVALUATION                           | The dispute has been submitted
        for evaluation.

        MANUAL_REVIEW                        | The dispute requires manual
        review.

        DENIED                               | The dispute has been denied.

        WRITE_OFF                            | The dispute has been written off
        and will not be filed with the card network.

        CHARGEBACK                           | A chargeback has been created
        with the card network. The acquiring bank now has the opportunity to
        file for re-presentment. If no re-presentment is filed the acquirer
        assumes financial responsibility and the case is won.

        NETWORK_REJECTED_CHARGEBACK          | The chargeback submission has
        been rejected by the card network. The chargeback can be optionally
        resubmitted once the rejection reason has been addressed.

        NETWORK_REJECTED_CHARGEBACK_REVERSAL | The chargeback reversal has been
        rejected by the card network.

        REPRESENTMENT                        | The acquiring bank has created a
        re-presentment with the card network. The issuing bank now has the
        opportunity to file for pre-arbitration. If no pre-arbitration is filed
        the issuer assumes financial responsibility and the case is lost.

        PRE_ARBITRATION                      | A pre-arbitration case has been
        created with the network. The acquiring bank now has the opportunity to
        rebut the case with subsequent evidence. If no rebuttal is filed the
        acquirer assumes financial responsibility and the case is won.

        PRE_ARBITRATION_RESPONSE             | The acquiring bank has rebutted
        the pre-arbitration case. The issuing bank now has the opportunity to
        file for arbitration. If no arbitration case is filed the issuer assumes
        financial responsibility and the case is lost.

        ARBITRATION                          | An arbitration case has been
        created with the card network. The acquiring bank now has the
        opportunity to rebut the arbitration case with subsequent evidence.

        ARBITRATION_RESPONSE                 | The acquiring bank has rebutted
        the arbitration case. The issuing bank can either withdraw the case or
        do nothing and the card network will make a decision on who assumes the
        financial responsibility.
      enum:
        - ARBITRATION
        - ARBITRATION_RESPONSE
        - CHARGEBACK
        - DENIED
        - EVALUATION
        - EVIDENCE_GATHERING
        - MANUAL_REVIEW
        - NETWORK_REJECTED_CHARGEBACK
        - NETWORK_REJECTED_CHARGEBACK_REVERSAL
        - PENDING_ACTION
        - PRE_ARBITRATION
        - PRE_ARBITRATION_RESPONSE
        - REPRESENTMENT
        - WRITE_OFF
      type: string
    card_dispute_managed_by:
      description: >
        Managed By      | Description

        ----------------|------------------------------------------------------------

        CUSTOMER        | The dispute is managed by the customer.

        GROUND_CONTROL  | The dispute is managed by Synctera Ground Control.

        AUTO_WRITE_OFF  | The dispute is managed by the automatic write-off
        workflow.
      enum:
        - AUTO_WRITE_OFF
        - CUSTOMER
        - GROUND_CONTROL
      type: string
    card_dispute_merchant_contact:
      description: >-
        Details of a cardholder attempt to contact the merchant about the
        disputed transaction.
      properties:
        date:
          description: When the contact attempt occurred.
          format: date
          type: string
        description:
          description: Description of the contact attempt.
          type: string
        prohibited_reason:
          description: Reason contact was prohibited, if applicable.
          type: string
        was_attempted:
          description: Whether contact with the merchant was attempted.
          type: boolean
        was_successful:
          description: Whether the merchant was available and responsive.
          type: boolean
      type: object
    card_network_eligibility:
      description: Network eligibility restrictions.
      properties:
        is_digital_wallet_token:
          description: Transaction was processed using a digital wallet token.
          type: boolean
        is_network_eligibility_overridden:
          description: Network eligibility restrictions have been overridden.
          type: boolean
        is_three_ds:
          description: Transaction was authenticated with 3DS.
          type: boolean
      required:
        - is_digital_wallet_token
        - is_network_eligibility_overridden
        - is_three_ds
      type: object
    card_dispute_reason_codes:
      description: >
        * NOTE: deprecated reason codes are accepted for backwards compatibility
        but will be mapped to their active equivalent reason codes by the API.


        | Reason Code                      | Status     |
        Category                   | Mastercard Code | Documentation Required |
        Description                                                                                                                                                                                                                           
        |

        | -------------------------------- | ---------- |
        -------------------------- | --------------- | ---------------------- |
        --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
        |

        | NO_CARDHOLDER_AUTHORIZATION      | Active     |
        Fraud                      | 4837            | No                     |
        A fraudulent transaction was made without the cardholder's
        consent.                                                                                                                                                                   
        |

        | QUESTIONABLE_MERCHANT_ACTIVITY   | Active     |
        Fraud                      | 4849            | No                     |
        The merchant is suspected of being involved in fraudulent activities or
        violating Mastercard
        rules.                                                                                                                                   
        |

        | CHIP_LIABILITY_SHIFT             | Active     |
        Fraud                      | 4870            | No                     |
        A counterfeit card was used at a non-EMV-compliant terminal, and the
        merchant is held liable for the fraudulent
        transaction.                                                                                                          
        |

        | CHIP_PIN_LIABILITY_SHIFT         | Active     |
        Fraud                      | 4871            | No                     |
        A lost or stolen chip card was used without PIN verification at a
        terminal that supports PIN, resulting in merchant liability for the
        fraudulent
        transaction.                                                                         
        |

        | AUTHORIZATION_RELATED_CHARGEBACK | Active     |
        Authorization              | 4808            | No                     |
        A transaction was processed without obtaining proper
        authorization.                                                                                                                                                                   
        |

        | POINT_OF_INTERACTION_ERROR       | Active     | Point-of-Interaction
        Error | 4834            | Yes                    | Processing errors
        such as ATM withdrawal discrepancies, duplicate transactions, late
        presentments, and amount
        discrepancies.                                                                                                          
        |

        | CARDHOLDER_DISPUTE               | Active     | Cardholder
        Dispute         | 4853            | Yes                    | Claims for
        goods and services not received, counterfeit products, recurring
        transactions, incomplete transactions, hotel no-show charges, and
        more.                                                                                   
        |

        | ATM_CASH_DISPUTE                 | Deprecated |
        N/A                        | N/A             | N/A                    |
        Some or all funds debited from the cardholder's account as the result of
        an ATM withdrawal were not
        dispensed.                                                                                                                        
        |

        | CARD_LOST_STOLEN_NEVER_RECEIVED  | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder did not authorize the transaction and the card is no
        longer, or had never been, in the possession of the
        cardholder.                                                                                                   
        |

        | COUNTERFEIT_GOODS                | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder claims that the goods were purported to be genuine, but
        were
        counterfeit.                                                                                                                                              
        |

        | CREDIT_NOT_RECEIVED              | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder's account was not credited for a refund from a merchant
        or was inaccurately debited instead of
        credited.                                                                                                               
        |

        | DEFECTIVE_GOODS_OR_SERVICES      | Deprecated |
        N/A                        | N/A             | N/A                    |
        Goods or services were either not as described or defective, including
        shipped merchandise was received damaged or not suitable for its
        intended purpose as well as the merchant didn't honour the terms and
        conditions of a contract. |

        | DISPUTE_OF_RECURRING_TRANSACTION | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder notified the merchant to cancel the recurring transaction
        and the merchant continued to bill the cardholder or the cardholder was
        not aware they were agreeing to a recurring
        transaction.                              |

        | DUPLICATE_TRANSACTION            | Deprecated |
        N/A                        | N/A             | N/A                    |
        The same transaction has been processed more than once, resulting in
        duplicate
        charges.                                                                                                                                               
        |

        | FRAUDULENT_PROCESSING            | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder is in possession and control of all valid cards,
        processed at least one legitimate face-to-face transaction, and denies
        making one or more additional face-to-face transactions at the same
        merchant location.          |

        | GOODS_OR_SERVICES_NOT_PROVIDED   | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder has been debited for goods or services that were to be
        shipped, delivered or otherwise provided and were not received by the
        expected delivery
        date.                                                                   
        |

        | LATE_PRESENTMENT                 | Deprecated |
        N/A                        | N/A             | N/A                    |
        The transaction was authorized offline by the chip and submitted for
        clearing more than 7 calendar days after the transaction
        date.                                                                                                   
        |

        | PAID_BY_OTHER_MEANS              | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder used a different form of payment for this specific
        transaction. (Mastercard pre-compliance/compliance
        only)                                                                                                            
        |

        | TRANSACTION_AMOUNT_DIFFERS       | Deprecated |
        N/A                        | N/A             | N/A                    |
        The amount of the transaction does not match the agreed-upon or expected
        amount.                                                                                                                                                      
        |

        | TRANSACTION_DID_NOT_COMPLETE     | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder engaged in the transaction and claims it did not
        complete. Goods or services were not
        provided.                                                                                                                        
        |

        | TRANSACTION_NOT_RECOGNIZED       | Deprecated |
        N/A                        | N/A             | N/A                    |
        The account holder does not recognize the transaction, possibly due to
        mistake or
        fraud.                                                                                                                                              
        |

        | UNAUTHORIZED_TRANSACTION         | Deprecated |
        N/A                        | N/A             | N/A                    |
        The transaction was not authorized by the account
        holder.                                                                                                                                                                             
        |
      enum:
        - ATM_CASH_DISPUTE
        - AUTHORIZATION_RELATED_CHARGEBACK
        - CANCELED_OR_RETURNED
        - CARDHOLDER_DISPUTE
        - CARD_LOST_STOLEN_NEVER_RECEIVED
        - CHIP_LIABILITY_SHIFT
        - CHIP_PIN_LIABILITY_SHIFT
        - COUNTERFEIT_GOODS
        - CREDIT_NOT_RECEIVED
        - DEFECTIVE_GOODS_OR_SERVICES
        - DISPUTE_OF_RECURRING_TRANSACTION
        - DUPLICATE_TRANSACTION
        - FRAUD
        - FRAUDULENT_PROCESSING
        - GOODS_OR_SERVICES_NOT_PROVIDED
        - LATE_PRESENTMENT
        - NO_CARDHOLDER_AUTHORIZATION
        - PAID_BY_OTHER_MEANS
        - POINT_OF_INTERACTION_ERROR
        - QUESTIONABLE_MERCHANT_ACTIVITY
        - TRANSACTION_AMOUNT_DIFFERS
        - TRANSACTION_DID_NOT_COMPLETE
        - TRANSACTION_NOT_RECOGNIZED
        - UNAUTHORIZED_TRANSACTION
      type: string
    external_card_dispute_action_response:
      description: Response for an external card dispute action.
      properties:
        action:
          $ref: '#/components/schemas/external_card_action'
        creation_time:
          description: The timestamp representing when the object was created
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        id:
          description: The unique identifier of the dispute action
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        payment_rail:
          $ref: '#/components/schemas/payment_rail'
        status:
          $ref: '#/components/schemas/external_card_dispute_action_status'
        supporting_doc_id:
          description: The unique identifier of the supporting document
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        tenant:
          $ref: '#/components/schemas/tenant_id'
      required:
        - action
        - creation_time
        - id
        - payment_rail
        - status
        - tenant
      title: External Card Action
      type: object
    available_external_card_action:
      properties:
        action:
          $ref: '#/components/schemas/external_card_action'
        state:
          $ref: '#/components/schemas/external_card_action_state'
        timestamp_valid_to:
          description: |
            The time by which the action must be taken against the dispute.
            * Only applicable for time constrained actions.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
      required:
        - action
        - state
      type: object
    dispute_debit_status:
      description: >
        The status of customer account debit related to the dispute


        | Status      |
        Description                                                                                         
        |

        |-------------|------------------------------------------------------------------------------------------------------|

        | NONE        | The customer account has not been debited or a
        provisional debit has been reversed and not replaced. |

        | PROVISIONAL | A provisional debit has been posted to the customer
        account.                                         |

        | FINAL       | A final debit has been posted to the customer
        account.                                               |
      enum:
        - FINAL
        - NONE
        - PROVISIONAL
      type: string
    external_card_lifecycle_state:
      description: >
        Lifecycle | Description

        --- | ---

        PENDING_ACTION | A dispute has been created and is pending subsequent
        action.

        CHARGEBACK | A chargeback has been created with the card network. The
        acquiring bank now has the opportunity to file for re-presentment. If no
        re-presentment is filed the acquirer assumes financial responsibility
        and the case is won.

        REPRESENTMENT | The acquiring bank has created a re-presentment with the
        card network. The issuing bank now has the opportunity to accept or
        deline the re-presentment.
      enum:
        - CHARGEBACK
        - PENDING_ACTION
        - REPRESENTMENT
      type: string
    external_card_network_eligibility:
      description: Network eligibility restrictions.
      properties:
        is_digital_wallet_token:
          description: Transaction was processed using a digital wallet token.
          type: boolean
        is_three_ds:
          description: Transaction was authenticated with 3DS.
          type: boolean
      required:
        - is_digital_wallet_token
        - is_three_ds
      type: object
    external_card_dispute_reason_code:
      description: >
        ### Mastercard

        Reason Code | Description

        --- | ---

        WARNING_BULLETIN | Transaction was processed using a card listed in a
        Mastercard warning bulletin file

        AUTHORIZATION_RELATED_CHARGEBACK | Transaction was processed without
        obtaining proper authorization

        ACCOUNT_NUMBER_NOT_ON_FILE | Account number used in transaction not
        regonized by cardholder’s bank

        TRANSACTION_AMOUNT_DIFFERS | Final transaction amount charged differs
        from expected or agreed upon amount

        POINT_OF_INTERACTION_ERROR | Processing errors such as ATM withdrawal
        discrepancies, duplicate transactions, late presentments, and amount
        discrepancies

        NO_CARDHOLDER_AUTHORIZATION | Fraudulent transaction made without the
        cardholder’s consent

        CANCELED_RECURRING_TRANSACTION | Cardholder billed for a recurring
        service afer cancellation or digital goods not authorized or received

        LATE_PRESENTMENT | Merchant submitted transaction for processing too
        late after original transaction date

        CORRECT_CURRENCY_CODE_NOT_PROVIDED | Currency conversion not properly
        presented or agreed upon

        QUESTIONABLE_MERCHANT_ACTIVITY | Merchant suspected of being involved in
        fraudulent activities or violating Mastercard rules

        CARDHOLDER_DISPUTE | Claims for goods and services not received,
        counterfeit products, recurring transactions, incomplete transactions,
        hotel no-show charges, and more

        CARDHOLDER_DISPUTE_NOT_ELSEWHERE_CLASSIFIED | Cardholder dissatisfied
        with transaction and has been unable to resolve it direclty with
        merchant (US region only)

        GOODS_OR_SERVICES_NOT_PROVIDED | Cardholder claims purchased goods or
        services were not delivered, delivered late, only partially delivered,
        or merchant failed to provide the agreed-upon service

        NO_SHOW_ADDENDUM_ATM_DISPUTE | Cardholder charged a penalty for failing
        to cancel a reservation (e.g. hotel booking), charged an addendum or
        modification to a service, or did not receive the correct amount of cash
        from an ATM

        CREDIT_NOT_PROCESSED | Expected credit or refund not received

        POTENTIAL_FRAUD | Cardholder does not recognize the transaction and
        suspects it might be fraudulent

        CHIP_LIABILITY_SHIFT | Counterfeit card used at a non-EMV-compliant
        terminal, and merchant is held liable for the fraudulent transaction

        CHIP_PIN_LIABILITY_SHIFT | Lost or stolen chip card used without PIN
        verification at a terminal that supports PIN, resulting in merchant
        liability for the fraudulent transaction

        DOMESTIC_CHARGEBACK_DISPUTE | Catch-all for transaction disputes within
        the Europe region


        ### Visa

        Reason Code | Description

        --- | ---

        EMV_LIABILITY_SHIFT_COUNTERFEIT_FRAUD | Transaction was processed with a
        counterfeit EMV card at a non-EMV-compliant terminal and the cardholder
        claims it was unauthorized

        EMV_LIABILITY_SHIFT_NON_COUNTERFEIT_FRAUD | Cardholder claims their lost
        or stolen card was used for an unauthorized transaction at a
        non-EMV-compliant terminal

        FRAUD_CARD_PRESENT | Cardholder disputes a card-present transaction as
        fraudulent, but does not involve a counterfeit or lost/stolen card

        FRAUD_CARD_ABSENT | Cardholder disputes a card-not-present (e.g., online
        or phone) transaction as unauthorized or fraudulent

        VISA_FRAUD_MONITORING_PROGRAM | Transaction flagged as part of the Visa
        Fraud Monitoring Program due to excessive fraud activity

        CARD_RECOVERY_BULLETIN | Transaction processed despite the card being
        listed in the Card Recovery Bulletin (a list of compromised cards)

        DECLINED_AUTHORIZATION | Transaction processed after receiving a
        declined authorization response from the issuer

        NO_AUTHORIZATION | Transaction processed without obtaining proper
        authorization from the issuer

        LATE_PRESENTMENT | Merchant submitted transaction for processing too
        late after original transaciton date

        INCORRECT_TRANSACTION_CODE | Transaction processed with the wrong
        transaction code (e.g., refund processed as a sale)

        INCORRECT_CURRENCY | Transaction processed in the incorrect currency

        INCORRECT_ACCOUNT_NUMBER | Transaction processed using an incorrect or
        invalid account number

        INCORRECT_AMOUNT | Transaction processed for an incorrect amount

        DUPLICATE_PROCESSING | Transaction processed more than once

        PAID_BY_OTHER_MEANS | Cardholder paid for the same transaction by other
        means (e.g., cash, check)

        INVALID_DATA | Transaction contained invalid or incomplete data required
        for processing

        SERVICES_NOT_RECEIVED | Cardholder claims the merchandise or services
        were not received as agreed

        CANCELED_RECURRING_TRANSACTION | Cardholder charged for a recurring
        transaction after canceling the service or subscription

        NOT_AS_DESCRIBED | Merchandise or services received were not as
        described or were defective

        COUNTERFEIT_MERCHANDISE | Cardholder claims merchandise received was
        counterfeit

        MISREPRESENTATION | Cardholder claims merchant misrepresented the terms
        or details of the transaction

        CREDIT_NOT_PROCESSED | Expected credit or refund not received

        CANCELED_SERVICE | Cardholder charged for merchandise or services that
        were canceled

        OCT_NOT_ACCEPTED | Original credit transaction not accepted or processed
        by the cardholder’s bank

        NON_RECEIPT_OF_CASH | Cardholder did not receive cash or the value from
        a load transaction at an ATM or similar device
      enum:
        - ACCOUNT_NUMBER_NOT_ON_FILE
        - AUTHORIZATION_RELATED_CHARGEBACK
        - CANCELED_RECURRING_TRANSACTION
        - CANCELED_SERVICE
        - CARDHOLDER_DISPUTE
        - CARDHOLDER_DISPUTE_NOT_ELSEWHERE_CLASSIFIED
        - CARD_RECOVERY_BULLETIN
        - CHIP_LIABILITY_SHIFT
        - CHIP_PIN_LIABILITY_SHIFT
        - CORRECT_CURRENCY_CODE_NOT_PROVIDED
        - COUNTERFEIT_MERCHANDISE
        - CREDIT_NOT_PROCESSED
        - DECLINED_AUTHORIZATION
        - DOMESTIC_CHARGEBACK_DISPUTE
        - DUPLICATE_PROCESSING
        - EMV_LIABILITY_SHIFT_COUNTERFEIT_FRAUD
        - EMV_LIABILITY_SHIFT_NON_COUNTERFEIT_FRAUD
        - FRAUD_CARD_ABSENT
        - FRAUD_CARD_PRESENT
        - GOODS_OR_SERVICES_NOT_PROVIDED
        - INCORRECT_ACCOUNT_NUMBER
        - INCORRECT_AMOUNT
        - INCORRECT_CURRENCY
        - INCORRECT_TRANSACTION_CODE
        - INVALID_DATA
        - LATE_PRESENTMENT
        - MISREPRESENTATION
        - NON_RECEIPT_OF_CASH
        - NOT_AS_DESCRIBED
        - NO_AUTHORIZATION
        - NO_CARDHOLDER_AUTHORIZATION
        - NO_SHOW_ADDENDUM_ATM_DISPUTE
        - OCT_NOT_ACCEPTED
        - PAID_BY_OTHER_MEANS
        - POINT_OF_INTERACTION_ERROR
        - POTENTIAL_FRAUD
        - QUESTIONABLE_MERCHANT_ACTIVITY
        - SERVICES_NOT_RECEIVED
        - TRANSACTION_AMOUNT_DIFFERS
        - VISA_FRAUD_MONITORING_PROGRAM
        - WARNING_BULLETIN
      type: string
    ach_action:
      enum:
        - ACH_RETURN
        - STOP_PAYMENT
      type: string
    payment_rail:
      description: |
        A short string representing the payment rail of the dispute.
      enum:
        - ACH
        - CARD
        - EXTERNAL_CARD
      type: string
    ach_dispute_reason_codes:
      description: >
        | Reason Code                      |
        Description                                                                                                                                                                                                                            
        |

        |----------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|

        | UNAUTHORIZED_TRANSACTION         | A party claims that a transaction
        was not authorized by the account
        holder                                                                                                                                                             
        |

        | INCORRECT_TRANSACTION_AMOUNT     | The amount of the ACH transaction
        does not match the agreed-upon or expected
        amount.                                                                                                                                                   
        |

        | DUPLICATE_TRANSACTION            | The same transaction is processed
        more than once, leading to duplicate
        charges.                                                                                                                                                        
        |

        | MISTIMED_WITHDRAWAL              | The timing of the transaction is
        not in accordance with the agreed-upon schedule, leading to a
        dispute.                                                                                                                                
        |

        | TRANSACTION_NOT_RECOGNIZED       | The account holder does not
        recognize the transaction, possibly due to a mistake or fraudulent
        activity                                                                                                                                
        |
      enum:
        - DUPLICATE_TRANSACTION
        - INCORRECT_TRANSACTION_AMOUNT
        - MISTIMED_WITHDRAWAL
        - TRANSACTION_NOT_RECOGNIZED
        - UNAUTHORIZED_TRANSACTION
      type: string
    ach_dispute_return_codes:
      description: >
        This field is required for dispute action ACH_RETURN. Upon successful
        dispute resolution this return code will be used when sending the
        outgoing return.
      enum:
        - R05
        - R07
        - R10
        - R29
        - R34
        - R51
      type: string
    ach_dispute_action_status:
      description: >
        | Status    |
        Description                                                                                                
        |

        |-----------|-------------------------------------------------------------------------------------------------------------|

        | SUBMITTED | The action has been
        submitted                                                                              
        |

        | ACCEPTED  | The action has been
        accepted                                                                               
        |

        | REJECTED  | The action has been
        rejected                                                                               
        |

        | MORE_INFO_REQUIRED | The action contains a directive that more
        information is required                                  |
      enum:
        - ACCEPTED
        - MORE_INFO_REQUIRED
        - REJECTED
        - SUBMITTED
      type: string
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    ach_action_state:
      enum:
        - ACCEPT
        - CREATE
        - MORE_INFO_REQUIRED
        - REJECT
      type: string
    dispute_regulation:
      enum:
        - REGULATION_E
        - REGULATION_Z
      type: string
    dispute_decision:
      description: |
        Decision | Description
        ---------|--------------------------------------------------
        LOST     | Decision reached in favour of the network.
        NONE     | No decision was reached.
        ONGOING  | Dispute is ongoing and requires further action.
        RESOLVED | Resolved in favour of the account holder.
        WON      | Decision reached in favour of the account holder.
      enum:
        - LOST
        - NONE
        - ONGOING
        - RESOLVED
        - WON
      type: string
    dispute_document_response:
      properties:
        creation_time:
          description: The timestamp representing when the object was created
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        dispute_id:
          description: The unique identifier of the dispute
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        file_name:
          example: example.pdf
          type: string
        id:
          description: The unique identifier of a dispute document.
          format: uuid
          readOnly: true
          type: string
        tenant:
          $ref: '#/components/schemas/tenant_id'
      required:
        - creation_time
        - dispute_id
        - file_name
        - id
        - tenant
      type: object
    dispute_action_by:
      description: >
        | action_by |
        Description                                                                                           
        |

        |-----------|--------------------------------------------------------------------------------------------------------|

        | INITIATOR | The last action was taken by the initiator of the
        dispute.                                             |

        | NETWORK   | The last action was taken by the
        network.                                                              |
      enum:
        - INITIATOR
        - NETWORK
      type: string
    dispute_network:
      description: The network with which the transaction was disputed.
      enum:
        - ACH
        - DECISIONLY
        - MARQETA
        - MASTERCARD
        - NONE
        - TABAPAY
      type: string
    dispute_status:
      description: The current status of the dispute.
      enum:
        - CLOSED
        - OPEN
      type: string
    card_action:
      enum:
        - ARBITRATION
        - CHARGEBACK
        - DISPUTE
        - EVIDENCE_GATHERING
        - PRE_ARBITRATION
        - PROVISIONAL_CREDIT
        - REPRESENTMENT
        - WRITE_OFF
      type: string
    card_dispute_representment_reason_code:
      description: >
        Reason Code                                    | Description

        -----------------------------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------

        INVALID_ACQUIRER_REFERENCE_DATA                | The combination of
        primary account number and acquirer reference data on the chargeback
        does not match the information in the first presentment.

        NON_RECEIPT_OF_DOCUMENTATION                   | Required documentation
        was not received.

        DOCUMENTATION_INELIGIBLE                       | Documentation is
        ineligible to the point where it cannot be established that the
        chargeback is valid.

        DOCUMENTATION_SCANNING_ERROR                   | Documentation is a
        partial scan with missing information, or relates to another
        transaction.

        CORRECT_TRANSACTION_DATE                       | Chargeback can be
        remedied by providing the correct transaction date.

        CORRECT_MERCHANT_LOCATION                      | Chargeback can be
        remedied by providing new information in the form of a different
        merchant name or location.

        ISSUER_AUTHORIZED                              | Chargeback can be
        remedied by providing information that the transaction was properly
        authorized.

        CREDIT_PREVIOUSLY_ISSUED                       | Chargeback can be
        remedied by providing evidence that the merchant issued a credit to the
        cardholders account.

        CHARGEBACK_REMEDIED                            | Evidence to remedy the
        chargeback is included in the supporting documentation adn no other
        message code is applicable.

        DUPLICATE_CHARGEBACK                           | A first chargeback has
        already been processed for the transaction.

        PAST_CHARGEBACK_TIME_LIMIT                     | The chargeback was
        processed past the time limit allowed for chargeback.

        INVALID_DATA_RECORD_TEXT                       | Information that is
        required to appear in the Data Record and the required message text is
        missing or incomplete.

        CORRECT_MCC                                    | Chargeback can be
        remedied by showing that the MCC assigned to the merchant is different
        from the MCC appearing on the first presentment.

        AUTHORIZATION_ADVISED_SUSPICIOUS               | Transaction meets the
        requirements for a Suspicious Transaction.

        NO_AUTHORIZATION_REQUEST_REQUIRED_OR_ATTEMPTED | Transaction was below
        the applicable floor limit, and the merchant did not request an
        authorization.

        ACCOUNT_NOT_LISTED_ON_EWB                      | The account number was
        not included in the applicable Electronic Warning Bulletin as of the
        date the card was first presented to the merchant.

        INVALID_CHARGEBACK                             | The chargeback does not
        meet the prerequisites for the chargeback message reason code.

        CHIP_LIABILITY_SHIFT                           | Invoke chip liability
        shift in response and as final remedy to a first chargeback submitted
        under reason code 4837.

        CHIP_PIN_LIABILITY_SHIFT                       | Invoke chip/pin
        liability shift in response and as final remedy to a first chargeback
        submitted under reason code 4837.
      enum:
        - ACCOUNT_NOT_LISTED_ON_EWB
        - AUTHORIZATION_ADVISED_SUSPICIOUS
        - CHARGEBACK_REMEDIED
        - CHIP_LIABILITY_SHIFT
        - CHIP_PIN_LIABILITY_SHIFT
        - CORRECT_MCC
        - CORRECT_MERCHANT_LOCATION
        - CORRECT_TRANSACTION_DATE
        - CREDIT_PREVIOUSLY_ISSUED
        - DOCUMENTATION_INELIGIBLE
        - DOCUMENTATION_SCANNING_ERROR
        - DUPLICATE_CHARGEBACK
        - INVALID_ACQUIRER_REFERENCE_DATA
        - INVALID_CHARGEBACK
        - INVALID_DATA_RECORD_TEXT
        - ISSUER_AUTHORIZED
        - NON_RECEIPT_OF_DOCUMENTATION
        - NO_AUTHORIZATION_REQUEST_REQUIRED_OR_ATTEMPTED
        - PAST_CHARGEBACK_TIME_LIMIT
      type: string
    card_dispute_action_status:
      enum:
        - ACCEPTED
        - COMPLETED
        - LOST
        - NETWORK_REJECTED
        - NETWORK_REJECTED_REVERSAL
        - REBUTTED
        - REVERSED
        - SUBMITTED
        - WON
      type: string
    card_action_state:
      enum:
        - ACCEPT
        - COMPLETE
        - CREATE
        - LOST
        - NETWORK_REJECT
        - NETWORK_REJECT_REVERSAL
        - REBUT
        - REVERSE
        - WON
      type: string
    external_card_action:
      enum:
        - CHARGEBACK
        - PROVISIONAL_DEBIT
        - REPRESENTMENT
      type: string
    external_card_dispute_action_status:
      enum:
        - ACCEPTED
        - DECLINED
        - REVERSED
        - SUBMITTED
      type: string
    external_card_action_state:
      enum:
        - ACCEPT
        - CREATE
        - DECLINE
        - REVERSE
      type: string
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    not_found:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Resource not found
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````